<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.wisenergy.mapper.WorkProjectChangeMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="cn.wisenergy.model.app.WorkProjectChange">
        <id column="id" property="id" />
        <result column="project_id" property="projectId" />
        <result column="type" property="type" />
        <result column="modify_after" property="modifyAfter" />
        <result column="modify_before" property="modifyBefore" />
        <result column="reason" property="reason" />
        <result column="change_date" property="changeDate" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, project_id, type, content, reason, change_date
    </sql>

</mapper>
